Bug 90157 - About dialog has text cropped out
Summary: About dialog has text cropped out
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords: bibisectNotNeeded, regression
Depends on:
Blocks:
 
Reported: 2015-03-22 11:00 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-12-17 08:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
about dialog (65.11 KB, image/png)
2015-03-22 11:00 UTC, Yousuf Philips (jay) (retired)
Details
buttons cropped (12.66 KB, image/png)
2015-03-22 18:06 UTC, Yousuf Philips (jay) (retired)
Details
sideByside of patched About Dialog, still clipped (162.80 KB, image/png)
2015-03-30 23:02 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-03-22 11:00:36 UTC
Created attachment 114241 [details]
about dialog

It likely just needs to be increased in size. This doesnt happen with 4.4 daily.

Version: 4.5.0.0.alpha0+
Build ID: 6ef1cb0c573c479b23866184b819be6226755179
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-03-19_00:35:49
Comment 1 Buovjaga 2015-03-22 11:04:56 UTC
Confirmed.

Win 7 Pro 64-bit
Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI

Ubuntu 14.10 64-bit
Version: 4.5.0.0.alpha0+
Build ID: 45c949c5a34cb73cdb08f85b2f33ae498c7c3c5c
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-03-20_23:52:13
Locale: en_US
Comment 2 Yousuf Philips (jay) (retired) 2015-03-22 18:06:09 UTC
Created attachment 114250 [details]
buttons cropped

I've noticed a number of places where buttons also get snipped.
Comment 3 Adolfo Jayme 2015-03-22 22:06:10 UTC
Again, do not CC the whole UX-Advise for this kind of bugs (which do not require design discussion). Feel free to CC me instead.
Comment 4 Commit Notification 2015-03-23 01:49:49 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea59d42d2098e8be8b3ab9667922e8427ee4b714

Untangle locale label and trim some whitespace, tdf#90157

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) (retired) 2015-03-23 09:02:14 UTC
Sorry about that. My submission link always sets it to ux-advise and sometimes i forget to change it off. :D

Should i submit another bug report for attachment 114250 [details]?
Comment 6 V Stuart Foote 2015-03-30 23:02:33 UTC
Created attachment 114480 [details]
sideByside of patched About Dialog, still clipped

@Adolfo, *

The about dialog is still being clipped on its bottom edge. The change of spacing from 24 -> 12 just made the dialog smaller (attached screen clip pre&post patch).

Do the GtkGrid objects need a vexpand property?
Comment 7 Adolfo Jayme 2015-03-31 15:54:43 UTC
(In reply to Jay Philips from comment #5)
> Should i submit another bug report for attachment 114250 [details]?

Of course.

(In reply to V Stuart Foote from comment #6)
> Do the GtkGrid objects need a vexpand property?

Thanks for the screenshot. Well, I doubt that vexpand would work here, I were to provide a complete patch to cui/source/dialogs/about.cxx but I haven’t really gotten around to it yet. I’ll go on vacation in a couple of weeks, but if you want to speed up things, you’re free to take this.
Comment 8 Buovjaga 2015-04-10 06:06:30 UTC
I don't get the cropping anymore with the latest master. There was also cropping in Impress - Rectangle - Position & size dialog, but now it's gone.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+ (x64)
Build ID: 53d7c88da82f6d16c0c9a45a86a3f9d505764605
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-10_02:14:19
Locale: fi_FI
Comment 9 Yousuf Philips (jay) (retired) 2015-04-10 09:48:35 UTC
Yes the cropping of buttons mentioned in comment 2 was fixed in bug 90481, which may have also fixed the issue here.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:49:54 UTC
Migrating Whiteboard tags to Keywords: (bibisectNotNeeded)
[NinjaEdit]